#ifndef FMP_HOME_I_H
#define FMP_HOME_I_H

#include <fmp_plugin_i.h>

class FMPHomeInterface : public FMPluginInterface
{
public:
    explicit                FMPHomeInterface(ctkPluginContext *ctx) : FMPluginInterface(ctx) {}
    virtual int login() = 0;
    virtual bool isLogined() = 0;
    virtual QString userName() = 0;
};

Q_DECLARE_INTERFACE(FMPHomeInterface, "com.fmp.home")

#endif // FMP_HOME_I_H
